Gmail Check API

API Documentation

Welcome to the Gmail Check API. You can integrate our fast and accurate Gmail checker directly into your applications. You will need an API Key provided by the administrator. Include this key in the x-api-key header.

Base URL

https://api.checkgmail.online/check

1. Fast Mode Check (Recommended)

Checks a list of emails quickly. Supports high concurrency.

POST /api/check

Headers:

Content-Type: application/json x-api-key: YOUR_API_KEY

Request Body:

{ "mail": [ "example1@gmail.com", "example2@gmail.com" ], "fastCheck": true }

Response:

{ "status": true, "data": [ { "email": "example1@gmail.com", "status": "Live", "index": 0 }, { "email": "example2@gmail.com", "status": "Disabled", "index": 1 } ] }

2. Slow Mode (Realtime Detailed Check)

Provides detailed statuses (Verify, Disabled, Live, Not Exist). Due to rate limits, this works asynchronously using a submit-poll mechanism.

Step 2.1: Submit Job

POST /api/check

// Headers Content-Type: application/json x-api-key: YOUR_API_KEY // Body { "action": "submit", "emails": [ "example1@gmail.com" ] }

Response:

{ "status": true, "jobId": "uuid-job-id", "token": "auth-token-for-polling" }

Step 2.2: Poll Job Status

Poll this endpoint every 2-3 seconds until the job is completed.

POST /api/check

// Headers Content-Type: application/json x-api-key: YOUR_API_KEY // Body { "action": "poll", "jobId": "uuid-job-id", "token": "auth-token-for-polling" }

Response:

{ "status": true, "jobStatus": "completed", // or "pending" "data": [ { "email": "example1@gmail.com", "status": "Live", "originalStatus": "GOOD" } ] }
Important API Policy: The API exclusively supports high-speed Fast Check and Slow Check methods. Deep Live Check has NO API access to safeguard system stability.

3. Code Examples

Python Example

import requests url = "https://api.checkgmail.online/check" headers = { "Content-Type": "application/json", "x-api-key": "YOUR_API_KEY" } payload = { "mail": ["account1@gmail.com", "account2@gmail.com"], "fastCheck": True } response = requests.post(url, json=payload, headers=headers) print(response.json())

Node.js (Fetch) Example

const res = await fetch("https://api.checkgmail.online/check", { method: "POST", headers: { "Content-Type": "application/json", "x-api-key": "YOUR_API_KEY" }, body: JSON.stringify({ mail: ["account1@gmail.com", "account2@gmail.com"], fastCheck: true }) }); const data = await res.json(); console.log(data);

Error Codes

401 Unauthorized - Invalid or Disabled API Key 403 Forbidden - Feature not authorized or IP blocked 400 Bad Request - Missing required fields